# List accounting accounts List accounting accounts for your organization. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounting", "version": "1.0.0", "description": "API used to manage the accounting context.", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/accounting", "description": "Sandbox API server for testing" } ], "components": { "schemas": { "AccountingAccount": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "Accounting account ID" }, "description": { "type": "string", "description": "Description of the accounting account", "maximum": 100 }, "account": { "type": "string", "description": "Accounting account number", "maximum": 50 }, "program_id": { "type": "integer", "format": "int64", "description": "Program ID" }, "created_at": { "type": "string", "format": "date-time", "description": "Date and time when the accounting account was created (ISO 8601)." }, "deactivated_at": { "type": "string", "format": "date-time", "description": "Date and time when the accounting account was deactivated (ISO 8601). Filled when the account is deactivated." } }, "example": { "id": 1, "description": "SAMPLE ACCOUNT", "account": "123123132-x", "program_id": 12, "created_at": "2021-10-10T10:10:00.000Z" } }, "Page": { "type": "object", "properties": { "has_next": { "type": "boolean", "description": "Indicates if there are more items to be retrieved." }, "items": { "type": "array", "description": "Items retrieved from a given request.", "items": { "type": "object" } } } } }, "parameters": { "pageSize": { "in": "query", "name": "pageSize", "description": "Maximum number of accounting event types per page.", "schema": { "type": "integer" } }, "pageOffset": { "name": "pageOffset", "in": "query", "description": "Number to offset page resuts. For example, value `2` returns the third page. Defaults to `0`, which returns the first page.", "schema": { "type": "integer" } } } }, "tags": [ { "name": "Accounting accounts", "description": "Endpoints to manage the accounting plan, which is a set of accounting accounts." } ], "paths": { "/v1/accounting-accounts": { "get": { "operationId": "SearchAccountingAccounts", "summary": "List accounting accounts", "description": "List accounting accounts for your organization.", "tags": [ "Accounting accounts" ], "parameters": [ { "in": "query", "name": "account", "description": "Account ID filter to list all accounting accounts related to an account.", "schema": { "type": "string" } }, { "in": "query", "name": "programId", "description": "Program ID filter to list all accounting accounts related to a program.", "schema": { "type": "integer" } }, { "$ref": "#/components/parameters/pageSize" }, { "$ref": "#/components/parameters/pageOffset" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "allOf": [ { "$ref": "#/components/schemas/Page" }, { "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/AccountingAccount" } } } } ] } } } }, "400": { "description": "Bad request" } }, "deprecated": false } } } } ```